Skip to main content
GET
/
api
/
intelligence
/
v1
/
get-company-enrichment
GetCompanyEnrichment
curl --request GET \
  --url https://api.example.com/api/intelligence/v1/get-company-enrichment
{
  "company": {
    "name": "<string>",
    "domain": "<string>",
    "description": "<string>",
    "location": "<string>",
    "website": "<string>",
    "founded": 123
  },
  "github": {
    "publicRepos": 123,
    "followers": 123,
    "avatarUrl": "<string>"
  },
  "techStack": [
    {
      "name": "<string>",
      "category": "<string>",
      "confidence": 123
    }
  ],
  "secFilings": {
    "totalFilings": 123,
    "recentFilings": [
      {
        "form": "<string>",
        "fileDate": "<string>",
        "description": "<string>"
      }
    ]
  },
  "hackerNewsMentions": [
    {
      "title": "<string>",
      "url": "<string>",
      "points": 123,
      "comments": 123,
      "createdAtMs": 123
    }
  ],
  "enrichedAtMs": 123,
  "sources": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://worldmonitor.app/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

domain
string
name
string

Response

Successful response

Aggregated company data from multiple public sources.

company
object
github
object
techStack
object[]
secFilings
object
hackerNewsMentions
object[]
enrichedAtMs
integer<int64>

Unix timestamp in milliseconds when this data was fetched.. Warning: Values > 2^53 may lose precision in JavaScript

sources
string[]

List of sources successfully reached (e.g. "github", "sec_edgar").